<?php

    class gaAdminView extends ga {

        function init() {

            $module_srl = Context::get('module_srl');
            if(!$module_srl && $this->module_srl) {
                $module_srl = $this->module_srl;
                Context::set('module_srl', $module_srl);
            }

            $oModuleModel = &getModel('module');

            if($module_srl) {
                $module_info = $oModuleModel->getModuleInfoByModuleSrl($module_srl);
				$this->module_info = $module_info;
				Context::set('module_info',$module_info);
            }

            $module_category = $oModuleModel->getModuleCategories();
            Context::set('module_category', $module_category);

            $template_path = sprintf("%stpl/",$this->module_path);
            $this->setTemplatePath($template_path);
		}

		function dispgaAdminList() {

            $page = Context::get('page');
            if(!$page) $page = 1;
			$args->page = $page;

            $oGaAdminModel = &getAdminModel('ga');
            $output = $oGaAdminModel->getGaAdminList($args);
			
            Context::set('total_count', $output->total_count);
            Context::set('total_page', $output->total_page);
            Context::set('page', $output->page);
			Context::set('module_list', $output->data);
            Context::set('page_navigation', $output->page_navigation);

            $this->setTemplateFile('index');
		}

		function dispGaAdminInsert() {

            // 스킨 목록을 구해옴
            $oModuleModel = &getModel('module');
            $skin_list = $oModuleModel->getSkins($this->module_path);
            Context::set('skin_list',$skin_list);

            // 레이아웃 목록을 구해옴
            $oLayoutModel = &getModel('layout');
            $layout_list = $oLayoutModel->getLayoutList();
            Context::set('layout_list', $layout_list);
			
			// 모듈설정 가져오기 
			$module_srl = Context::get('module_srl');
			$extra_args->module_srl = $module_srl;
			$extra_output = executeQueryArray('module.getModuleExtraVars', $extra_args);
			if ($extra_output->toBool() && is_array($extra_output->data)){
				foreach($extra_output->data as $var){
					$extra_vars->{$var->name} = $var->value;
				}
			}
			
            $this->setTemplateFile('admin_insert');
		}

        function dispGaAdminInfo() {
            $this->dispGaAdminInsert();
        }

        function dispGaAdminDelete() {

            if(!Context::get('module_srl')) return $this->dispGaAdminList();

            $module_info = Context::get('module_info');
            Context::set('module_info',$module_info);

            $this->setTemplateFile('admin_delete');
        }

        function dispGaAdminGrantInfo() {

            $oModuleAdminModel = &getAdminModel('module');
            $grant_content = $oModuleAdminModel->getModuleGrantHTML($this->module_info->module_srl, $this->xml_info->grant);
            Context::set('grant_content', $grant_content);

            $this->setTemplateFile('grant_list');
        }

        function dispGaAdminSkinInfo() {
            $oModuleAdminModel = &getAdminModel('module');
            $skin_content = $oModuleAdminModel->getModuleSkinHTML($this->module_info->module_srl);
            Context::set('skin_content', $skin_content);

            $this->setTemplateFile('skin_info');
        }
	}
?>
